Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ConstructorCallExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstructorCallExpression

    public class ConstructorCallExpression
    extends Expression

A constructor call

Authors:
  James Strachan
  Jochen Theodorou

Version:
  \$Revision\$

Constructor Summary
`ConstructorCallExpression(ClassNode type, Expression arguments)`

Method Summary
`Expression` | `getArguments()`
`java.lang.String` | `getText()`
`boolean` | `isSpecialCall()`
`boolean` | `isSuperCall()`
`boolean` | `isThisCall()`
`boolean` | `isUsingAnonymousInnerClass()`
`void` | `setUsingAnonymousInnerClass(boolean usage)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConstructorCallExpression

    public ConstructorCallExpression(ClassNode type, Expression arguments)

Method Detail

### getArguments

    public Expression getArguments()

### getText

    public java.lang.String getText()

### isSpecialCall

    public boolean isSpecialCall()

### isSuperCall

    public boolean isSuperCall()

### isThisCall

    public boolean isThisCall()

### isUsingAnonymousInnerClass

    public boolean isUsingAnonymousInnerClass()

### setUsingAnonymousInnerClass

    public void setUsingAnonymousInnerClass(boolean usage)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation